.fa-margin-right {
  margin-right: 0.2rem;
}
.cards {
  display: flex;
  align-items: center;
  margin-bottom: 0;
  margin-left: auto;
  column-gap: 1rem;
}
.buttons {
  width: 2rem;
  height: 2rem;
  border-radius: 50%;
  border: none;
  line-height: normal;
  cursor: pointer;
  font-size: 0.8rem;
}

.special-stretch-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 2rem;
}

.special-stretch-container-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
/* * {
  outline: 1px solid blue;
} */
.mask {
  width: 70rem;
  margin: 1.5rem auto;
}

.button {
  border: none;
  display: inline-block;
  padding: 8px 16px;
  vertical-align: middle;
  overflow: hidden;
  text-decoration: none;
  color: inherit;
  background-color: inherit;
  text-align: center;
  cursor: pointer;
  white-space: nowrap;
  border-radius: 4px;
  background-color: #2196f3 !important;
  transition: transform 0.2s ease, box-shadow 0.2s ease,
    background-color 0.3s ease, opacity 0s;
  color: #fff !important;
}

.button:hover {
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  color: #000 !important;
  background-color: #ccc !important;
}

.button:active {
  opacity: 0.5;
}
.button:disabled {
  cursor: not-allowed;
  opacity: 0.3;
}
.section-buttons,
.main-container {
  display: flex;
  column-gap: 0.5rem;
}

.light-blue {
  background-color: #add8e6;
}
.special-masks {
  display: grid;
  grid-template-columns: auto auto;
  margin-left: 2rem;
}

.special-text {
  display: flex;
  align-items: center;
}
.special-button {
  width: 1.5rem;
  height: 1.5rem;
  min-width: 1.5rem;
  border-radius: 50%;
  background-color: lightblue;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 75%;
}

.span-elements {
  grid-column: span 6;
  width: 100%;
}

.legende {
  display: flex;
  gap: 2rem;
}
.legenden-items {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}
.legenden-text {
  font-size: 80%;
  font-style: italic;
}

.footer {
  padding: 2rem;
  display: flex;
  justify-content: end;
}

.test {
  color: red;
  font-family: 'Courier New', Courier, monospace;
}

.blue {
  color: #fff;
  background-color: #2196f3;
  border: solid 1px black;
}

.buttons-pdf {
  margin: 10px;
  padding: 10px;
}

#userName {
  width: 100%;
  max-width: 350px;
  padding: 12px 15px;
  margin-top: 10px;
  border: 1px solid #ccc;
  border-radius: 8px;
  font-size: 16px;
  font-family: inherit;
  color: #333;
  transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

#userName:focus {
  border-color: #007bff;
  box-shadow: 0 0 8px rgba(0, 123, 255, 0.2);
  outline: none;
}

#userName::placeholder {
  color: #aaa;
  font-style: italic;
  font-size: 14px;
}

#tooltip-dialog {
  position: absolute;
  top: -2rem;
  margin: 0rem auto;
  border: none;
  border-radius: 25px;
  transform: translateY(-2rem); /* Start position above */
  opacity: 0; /* Initially hidden */
  visibility: hidden;
  transition: transform 0.5s ease-in, opacity 0.7s ease-in,
    visibility 0.7s ease-in;
}

#tooltip-dialog.show {
  transform: translateY(+4rem); /* Moves into place */
  opacity: 1; /* Becomes visible */
  visibility: visible;
  transition: transform 0.5s ease-in,
    opacity 0.7s ease-in visibility 0.7s ease-in;
}
